curl --request POST \
--url https://api.provenmetal.com/v1/part-checks \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"boards": 50000,
"parts": [
{
"reference": "<string>",
"quantity": 2,
"mpn": "<string>",
"manufacturer": "<string>",
"lcsc": "<string>",
"digikey": "<string>",
"mouser": "<string>",
"value": "<string>",
"footprint": "<string>",
"description": "<string>"
}
],
"bom_csv": "<string>",
"wait_s": 20,
"itar": false
}
'import requests
url = "https://api.provenmetal.com/v1/part-checks"
payload = {
"boards": 50000,
"parts": [
{
"reference": "<string>",
"quantity": 2,
"mpn": "<string>",
"manufacturer": "<string>",
"lcsc": "<string>",
"digikey": "<string>",
"mouser": "<string>",
"value": "<string>",
"footprint": "<string>",
"description": "<string>"
}
],
"bom_csv": "<string>",
"wait_s": 20,
"itar": False
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
boards: 50000,
parts: [
{
reference: '<string>',
quantity: 2,
mpn: '<string>',
manufacturer: '<string>',
lcsc: '<string>',
digikey: '<string>',
mouser: '<string>',
value: '<string>',
footprint: '<string>',
description: '<string>'
}
],
bom_csv: '<string>',
wait_s: 20,
itar: false
})
};
fetch('https://api.provenmetal.com/v1/part-checks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.provenmetal.com/v1/part-checks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'boards' => 50000,
'parts' => [
[
'reference' => '<string>',
'quantity' => 2,
'mpn' => '<string>',
'manufacturer' => '<string>',
'lcsc' => '<string>',
'digikey' => '<string>',
'mouser' => '<string>',
'value' => '<string>',
'footprint' => '<string>',
'description' => '<string>'
]
],
'bom_csv' => '<string>',
'wait_s' => 20,
'itar' => false
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.provenmetal.com/v1/part-checks"
payload := strings.NewReader("{\n \"boards\": 50000,\n \"parts\": [\n {\n \"reference\": \"<string>\",\n \"quantity\": 2,\n \"mpn\": \"<string>\",\n \"manufacturer\": \"<string>\",\n \"lcsc\": \"<string>\",\n \"digikey\": \"<string>\",\n \"mouser\": \"<string>\",\n \"value\": \"<string>\",\n \"footprint\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"bom_csv\": \"<string>\",\n \"wait_s\": 20,\n \"itar\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.provenmetal.com/v1/part-checks")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"boards\": 50000,\n \"parts\": [\n {\n \"reference\": \"<string>\",\n \"quantity\": 2,\n \"mpn\": \"<string>\",\n \"manufacturer\": \"<string>\",\n \"lcsc\": \"<string>\",\n \"digikey\": \"<string>\",\n \"mouser\": \"<string>\",\n \"value\": \"<string>\",\n \"footprint\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"bom_csv\": \"<string>\",\n \"wait_s\": 20,\n \"itar\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.provenmetal.com/v1/part-checks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"boards\": 50000,\n \"parts\": [\n {\n \"reference\": \"<string>\",\n \"quantity\": 2,\n \"mpn\": \"<string>\",\n \"manufacturer\": \"<string>\",\n \"lcsc\": \"<string>\",\n \"digikey\": \"<string>\",\n \"mouser\": \"<string>\",\n \"value\": \"<string>\",\n \"footprint\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"bom_csv\": \"<string>\",\n \"wait_s\": 20,\n \"itar\": false\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"phase": "jlcpcb",
"boards": 123,
"parts": [
{}
],
"summary": {},
"retry_after_s": 123
}{
"error": "<string>",
"message": "<string>",
"ok": false,
"questions": [
{}
],
"known": {},
"parts": [
{}
],
"off_board_parts": [
{}
],
"retry_after_s": 123,
"checkout_url": "<string>",
"fields": [
{}
]
}{
"error": "<string>",
"message": "<string>",
"ok": false,
"questions": [
{}
],
"known": {},
"parts": [
{}
],
"off_board_parts": [
{}
],
"retry_after_s": 123,
"checkout_url": "<string>",
"fields": [
{}
]
}{
"error": "<string>",
"message": "<string>",
"ok": false,
"questions": [
{}
],
"known": {},
"parts": [
{}
],
"off_board_parts": [
{}
],
"retry_after_s": 123,
"checkout_url": "<string>",
"fields": [
{}
]
}Check parts
A part list checked for the build quantity, with no files: JLCPCB’s stock in about two seconds, then Digi-Key, Mouser, LCSC and Octopart for what JLCPCB lacks. Parts still checking come back with retry_after_s (also the Retry-After header): send the same check again then. 240 an hour per key.
curl --request POST \
--url https://api.provenmetal.com/v1/part-checks \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"boards": 50000,
"parts": [
{
"reference": "<string>",
"quantity": 2,
"mpn": "<string>",
"manufacturer": "<string>",
"lcsc": "<string>",
"digikey": "<string>",
"mouser": "<string>",
"value": "<string>",
"footprint": "<string>",
"description": "<string>"
}
],
"bom_csv": "<string>",
"wait_s": 20,
"itar": false
}
'import requests
url = "https://api.provenmetal.com/v1/part-checks"
payload = {
"boards": 50000,
"parts": [
{
"reference": "<string>",
"quantity": 2,
"mpn": "<string>",
"manufacturer": "<string>",
"lcsc": "<string>",
"digikey": "<string>",
"mouser": "<string>",
"value": "<string>",
"footprint": "<string>",
"description": "<string>"
}
],
"bom_csv": "<string>",
"wait_s": 20,
"itar": False
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
boards: 50000,
parts: [
{
reference: '<string>',
quantity: 2,
mpn: '<string>',
manufacturer: '<string>',
lcsc: '<string>',
digikey: '<string>',
mouser: '<string>',
value: '<string>',
footprint: '<string>',
description: '<string>'
}
],
bom_csv: '<string>',
wait_s: 20,
itar: false
})
};
fetch('https://api.provenmetal.com/v1/part-checks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.provenmetal.com/v1/part-checks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'boards' => 50000,
'parts' => [
[
'reference' => '<string>',
'quantity' => 2,
'mpn' => '<string>',
'manufacturer' => '<string>',
'lcsc' => '<string>',
'digikey' => '<string>',
'mouser' => '<string>',
'value' => '<string>',
'footprint' => '<string>',
'description' => '<string>'
]
],
'bom_csv' => '<string>',
'wait_s' => 20,
'itar' => false
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.provenmetal.com/v1/part-checks"
payload := strings.NewReader("{\n \"boards\": 50000,\n \"parts\": [\n {\n \"reference\": \"<string>\",\n \"quantity\": 2,\n \"mpn\": \"<string>\",\n \"manufacturer\": \"<string>\",\n \"lcsc\": \"<string>\",\n \"digikey\": \"<string>\",\n \"mouser\": \"<string>\",\n \"value\": \"<string>\",\n \"footprint\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"bom_csv\": \"<string>\",\n \"wait_s\": 20,\n \"itar\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.provenmetal.com/v1/part-checks")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"boards\": 50000,\n \"parts\": [\n {\n \"reference\": \"<string>\",\n \"quantity\": 2,\n \"mpn\": \"<string>\",\n \"manufacturer\": \"<string>\",\n \"lcsc\": \"<string>\",\n \"digikey\": \"<string>\",\n \"mouser\": \"<string>\",\n \"value\": \"<string>\",\n \"footprint\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"bom_csv\": \"<string>\",\n \"wait_s\": 20,\n \"itar\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.provenmetal.com/v1/part-checks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"boards\": 50000,\n \"parts\": [\n {\n \"reference\": \"<string>\",\n \"quantity\": 2,\n \"mpn\": \"<string>\",\n \"manufacturer\": \"<string>\",\n \"lcsc\": \"<string>\",\n \"digikey\": \"<string>\",\n \"mouser\": \"<string>\",\n \"value\": \"<string>\",\n \"footprint\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"bom_csv\": \"<string>\",\n \"wait_s\": 20,\n \"itar\": false\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"phase": "jlcpcb",
"boards": 123,
"parts": [
{}
],
"summary": {},
"retry_after_s": 123
}{
"error": "<string>",
"message": "<string>",
"ok": false,
"questions": [
{}
],
"known": {},
"parts": [
{}
],
"off_board_parts": [
{}
],
"retry_after_s": 123,
"checkout_url": "<string>",
"fields": [
{}
]
}{
"error": "<string>",
"message": "<string>",
"ok": false,
"questions": [
{}
],
"known": {},
"parts": [
{}
],
"off_board_parts": [
{}
],
"retry_after_s": 123,
"checkout_url": "<string>",
"fields": [
{}
]
}{
"error": "<string>",
"message": "<string>",
"ok": false,
"questions": [
{}
],
"known": {},
"parts": [
{}
],
"off_board_parts": [
{}
],
"retry_after_s": 123,
"checkout_url": "<string>",
"fields": [
{}
]
}Authorizations
Your ProvenMetal API key (pm_live_...). Authorization: Bearer <key> also works.
Body
A part list (or a BOM file's text) and how many boards will be built.
How many boards will be built.
1 <= x <= 100000The BOM lines (at most 300): reference, quantity per board, and mpn with manufacturer, or lcsc, or value with footprint for a resistor, capacitor or inductor. digikey, mouser and description help.
Show child attributes
Show child attributes
A BOM file's text, instead of parts.
Seconds to wait for the distributors' answer. 0 returns JLCPCB's answer at once (about two seconds); the default covers most boards.
0 <= x <= 50true if the design is ITAR-controlled: it is refused before anything is read.
Response
Successful Response
jlcpcb: JLCPCB's stock only so far; complete: distributors too.
jlcpcb, complete Each part: reference, part, quantity_per_board, verdict (ok, check, problem, checking), source, jlcpcb_code, jlcpcb_library, supplier, cost_usd (for the whole build), stock, lead_time_days, lifecycle, why, similar_part.
Parts still checking: send the same check again then.